io.agora.rtc

## Enum Constants.EncryptionErrorType

- java.lang.Object
- - java.lang.Enum<Constants.EncryptionErrorType>
  - - io.agora.rtc.Constants.EncryptionErrorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.EncryptionErrorType>
  Enclosing class:
    Constants

      public static enum Constants.EncryptionErrorType
      extends java.lang.Enum<Constants.EncryptionErrorType>

  Encryption error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENCRYPTION_ERROR_DECRYPTION_FAILURE` 1: Decryption failed.
    `ENCRYPTION_ERROR_ENCRYPTION_FAILURE` 2: Encryption failed.
    `ENCRYPTION_ERROR_INTERNAL_FAILURE` 0: Internal error.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the encryption error type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.EncryptionErrorType` | `fromInt(int value)` Converts an integer value to its corresponding EncryptionErrorType enum constant.
    `int` | `getValue()` Gets the integer value of the encryption error type.
    `static Constants.EncryptionErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.EncryptionErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENCRYPTION_ERROR_INTERNAL_FAILURE

          public static final Constants.EncryptionErrorType ENCRYPTION_ERROR_INTERNAL_FAILURE

      0: Internal error. The SDK encountered an internal error.

    - #### ENCRYPTION_ERROR_DECRYPTION_FAILURE

          public static final Constants.EncryptionErrorType ENCRYPTION_ERROR_DECRYPTION_FAILURE

      1: Decryption failed. The received data stream is encrypted, but decryption failed. This may be due to the receiver not using the same encryption mode or key as the sender.

    - #### ENCRYPTION_ERROR_ENCRYPTION_FAILURE

          public static final Constants.EncryptionErrorType ENCRYPTION_ERROR_ENCRYPTION_FAILURE

      2: Encryption failed. The data stream encryption failed. This may be due to the sender not using the same encryption mode or key as the receiver.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the encryption error type

  - ### Method Detail

    - #### values

          public static Constants.EncryptionErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.EncryptionErrorType c : Constants.EncryptionErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.EncryptionErrorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the encryption error type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.EncryptionErrorType fromInt(int value)

      Converts an integer value to its corresponding EncryptionErrorType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding EncryptionErrorType, or null if the value is not found.